import { ColumnItem, CreateItemsPropsResult, State, UseColumnViewHookOptions, WrappedItem } from "../types";
declare type ViewContext<T> = {
    path: string[];
    push: any;
    data: Record<string, ColumnItem<T>>;
};
export declare const createItemProps: <T>(id: string, context: ViewContext<T>) => WrappedItem<T>;
export declare const createItemsProps: <T>(ids: string[], context: ViewContext<T>) => CreateItemsPropsResult<T>;
export declare const buildOptions: <T>(options?: UseColumnViewHookOptions<T> | undefined) => State<T> | undefined;
export {};
